<template>
  <div class="modelBox">
    <el-form
      label-width="80px"
      :model="formLabelAlign"
    >
      <el-form-item :label="$t('common.name')">
        <el-input v-model="formLabelAlign.name"></el-input>
      </el-form-item>
      <el-form-item :label="$t('common.type')">
        <el-input v-model="formLabelAlign.type"></el-input>
      </el-form-item>
      <el-form-item>
        <el-button
          v-show="isShow"
          type="success"
          plain
          size="small"
          @click="InsertData"
        >{{$t('common.increase')}}</el-button>
        <el-button
          v-show="!isShow"
          type="info"
          plain
          size="small"
          @click="EditData"
        >{{$t('common.update')}}</el-button>
      </el-form-item>
    </el-form>
    <!-- <el-table
      :data="tableData"
      style="width: 100%"
      height="calc(100% - 50px)"
    >
    </el-table> -->
    <!-- <div
      class="bottomPage pagination_box"
      style="margin-top:10px"
    > -->
    <!-- <el-pagination
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page="listData.pageIndex"
        :page-sizes="[10, 20, 50, 100]"
        :page-size="listData.pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="listData.count"
      >
      </el-pagination> -->
    <!-- </div> -->

  </div>
</template>

<script>
import { comprehensive_selectModelByPageAndCount, comprehensive_insertModel } from '../../api/api.js'
export default {
  data() {
    return {
      resinfo: null,
      tableData: [],
      listData: {
        pageIndex: 1,
        pageSize: 10,
        layerid: null,
      },
      isShow: false,
      formLabelAlign: {
        name: '',
        type: ''
      }

    }
  },
  mounted() {
    this.startListData();
    this.setModeCatch();
  },
  methods: {
    async InsertData() {
      var obj = {
        modelid: this.resinfo.id,
        name: this.formLabelAlign.name,
        type: this.formLabelAlign.type
      }
      const data = await comprehensive_insertModel(obj)
      this.startModelData();

    },
    EditData() {

    },
    //模型捕捉
    setModeCatch() {
      var that = this;

    },
    //分页切换
    handleSizeChange(val) {
      this.listdata.pageSize = val;
      this.listData.pageIndex = 1;
      this.startModelData();
    },
    //分页切换
    handleCurrentChange(val) {
      this.listData.pageIndex = val;
      this.startModelData();
    },
    //初始化查询
    startListData() {
      this.listData = {
        pageIndex: 1,
        pageSize: 10,
        layerid: null,
      };

      this.resinfo = this.$store.state.attachinfo;
      this.startModelData();
    },
    //查询模型属性数据
    async startModelData() {
      if (this.resinfo) {
        this.listData.layerid = this.resinfo.id;

        const data = await comprehensive_selectModelByPageAndCount(this.listData)
        if (data.code != 200) {
          return;
        }
        if (data.count == 0) {
          this.isShow = true;
        } else {
          this.isShow = false;
        }

      }
    },
  },

}
</script>

<style lang="less" scoped>
.modelBox {
  width: 100%;
  height: 100%;
}
</style>